//@line 2 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/. */

"use strict";

Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");
XPCOMUtils.defineLazyModuleGetter(this, "Services", "resource://gre/modules/Services.jsm");

this.EXPORTED_SYMBOLS = ["AppConstants"];

// Immutable for export.
this.AppConstants = Object.freeze({
  // See this wiki page for more details about channel specific build
  // defines: https://wiki.mozilla.org/Platform/Channel-specific_build_defines
  NIGHTLY_BUILD:
//@line 21 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 23 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  RELEASE_BUILD:
//@line 26 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  true,
//@line 30 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  ACCESSIBILITY:
//@line 33 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  true,
//@line 37 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  // Official corresponds, roughly, to whether this build is performed
  // on Mozilla's continuous integration infrastructure. You should
  // disable developer-only functionality when this flag is set.
  MOZILLA_OFFICIAL:
//@line 45 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 47 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_OFFICIAL_BRANDING:
//@line 52 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 54 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_SERVICES_HEALTHREPORT:
//@line 59 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 61 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_DATA_REPORTING:
//@line 66 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 68 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_DEVICES:
//@line 73 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 75 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_SAFE_BROWSING:
//@line 80 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 82 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_SANDBOX:
//@line 85 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  true,
//@line 89 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_TELEMETRY_REPORTING:
//@line 94 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 96 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_TELEMETRY_ON_BY_DEFAULT:
//@line 101 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 103 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_SERVICES_CLOUDSYNC:
//@line 106 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  true,
//@line 110 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_UPDATER:
  false,

  MOZ_SWITCHBOARD:
//@line 118 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 120 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_WEBRTC:
//@line 125 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 127 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

//@line 129 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  MOZ_B2G:
//@line 133 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 135 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

//@line 138 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  platform:
//@line 146 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  "macosx",
//@line 156 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  isPlatformAndVersionAtLeast(platform, version) {
    let platformVersion = Services.sysinfo.getProperty("version");
    return platform == this.platform &&
           Services.vc.compare(platformVersion, version) >= 0;
  },

  isPlatformAndVersionAtMost(platform, version) {
    let platformVersion = Services.sysinfo.getProperty("version");
    return platform == this.platform &&
           Services.vc.compare(platformVersion, version) <= 0;
  },

  MOZ_CRASHREPORTER:
//@line 173 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 175 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_VERIFY_MAR_SIGNATURE:
//@line 180 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 182 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_MAINTENANCE_SERVICE:
//@line 187 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 189 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  E10S_TESTING_ONLY:
//@line 194 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 196 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  DEBUG:
//@line 201 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 203 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_B2G_RIL:
//@line 208 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 210 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_B2GDROID:
//@line 215 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 217 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_GRAPHENE:
//@line 222 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 224 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_PLACES:
//@line 227 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  true,
//@line 231 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  MOZ_ANDROID_HISTORY:
//@line 236 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  false,
//@line 238 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"

  DLL_PREFIX: "lib",
  DLL_SUFFIX: ".dylib",

  MOZ_APP_NAME: "interwebppc",
  MOZ_APP_VERSION: "45.41.6",
  MOZ_APP_VERSION_DISPLAY: "Rolling Release 3",
  MOZ_BUILD_APP: "browser",
  MOZ_MACBUNDLE_NAME: "InterWebPPC.app",
  MOZ_UPDATE_CHANNEL: "default",
  INSTALL_LOCALE: "en-US",
  MOZ_WIDGET_TOOLKIT: "cocoa",
  ANDROID_PACKAGE_NAME: "",
  MOZ_B2G_VERSION: "1.0.0",
  MOZ_B2G_OS_NAME: "",

  MOZ_ANDROID_APZ:
//@line 258 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
    false,
//@line 260 "/Users/macuser/Development/tenfourfox/toolkit/modules/AppConstants.jsm"
  DEBUG_JS_MODULES: "",

  // URL to the hg revision this was built from (e.g.
  // "https://hg.mozilla.org/mozilla-central/rev/6256ec9113c1")
  // On unofficial builds, this is an empty string.
  SOURCE_REVISION_URL: ""
});
